---
type: api
title: Bulk get assets
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-post-fleet-epm-bulk-assets
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-post-fleet-epm-bulk-assets
products:
  - Kibana
---

# Bulk get assets

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/fleet/epm/bulk_assets`
- `POST` `/s/{space_id}/api/fleet/epm/bulk_assets`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Retrieve multiple Kibana saved object assets by their IDs and types.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

## Request Body

`application/json`

- `assetIds` ([] object · max: 10000) — required
  - `id` (string) — required
  - `type` (string) — required

## Responses

#### `200`

Successful response

`application/json`

- `items` ([] object · max: 10000)
  - `appLink` (string)
  - `attributes` (object)
    - `description` (string)
    - `service` (string)
    - `title` (string)
  - `id` (string)
  - `type` (string)
  - `updatedAt` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
POST /api/fleet/epm/bulk_assets
{
  "assetIds": [
    {
      "id": "dashboard-id-1",
      "type": "dashboard"
    },
    {
      "id": "index-pattern-id-1",
      "type": "index_pattern"
    }
  ]
}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/fleet/epm/bulk_assets" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
  "assetIds": [
    {
      "id": "dashboard-id-1",
      "type": "dashboard"
    },
    {
      "id": "index-pattern-id-1",
      "type": "index_pattern"
    }
  ]
}'
```

## Response Examples

#### Post bulk get assets

Requested assets

```json
{
  "items": [
    {
      "appLink": "/app/dashboards#/view/dashboard-id-1",
      "attributes": {
        "title": "My Dashboard"
      },
      "id": "dashboard-id-1",
      "type": "dashboard"
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

